CREATE OR REPLACE VIEW V_KUPCI_SALDAKONTI AS (
SELECT CONCAT(CONCAT(K.ID, CASE WHEN N.ID IS NULL THEN '' ELSE '-' END), N.ID) AS V_KUPCI_SALDAKONTI_ID, K.ID AS KUPCI_ID, N.ID AS NNFIRMA_ID, K.VALUTA_PLACILA,
  (CASE WHEN K.VALUTA_PLACILA IS NULL OR K.VALUTA_PLACILA = (SELECT DOMACAVALUTA FROM PARAM) THEN 'Y' ELSE 'N' END) AS KUPCI_DOMACA_VALUTA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK,
  -- Parcialne ponudbe, domaca valuta
  (
    SELECT SUM(M.OPEN_AMOUNT)
    FROM M_DE_NA M WHERE M.ID_LASTNIKA = K.ID AND (N.ID IS NULL OR M.NNLOCATION_ID IN (SELECT NL.ID FROM NNLOCATION NL WHERE NL.NNFIRMA_ID = N.ID)) AND M.STATUS = 'P' AND M.CONFIRMED = 'Y'
  ) AS SALDAKONTI_PART_PROFORMA_SIT,
  
   -- Parcialne ponudbe, tuja valuta (skupajVal*openAmount/skupaj)
  (
    (SELECT COALESCE(SUM(M.SKUPAJ_VAL), 0)
    FROM M_DE_NA M WHERE M.ID_LASTNIKA = K.ID AND (N.ID IS NULL OR M.NNLOCATION_ID IN (SELECT NL.ID FROM NNLOCATION NL WHERE NL.NNFIRMA_ID = N.ID)) AND M.STATUS = 'P' AND M.CONFIRMED = 'Y') 
    * (SELECT COALESCE(SUM(M.OPEN_AMOUNT), 0)
    FROM M_DE_NA M WHERE M.ID_LASTNIKA = K.ID AND (N.ID IS NULL OR M.NNLOCATION_ID IN (SELECT NL.ID FROM NNLOCATION NL WHERE NL.NNFIRMA_ID = N.ID)) AND M.STATUS = 'P' AND M.CONFIRMED = 'Y')
    / (SELECT CASE WHEN (COALESCE(SUM(M.SKUPAJ), 0) = 0) THEN 1 ELSE SUM(M.SKUPAJ) END
    FROM M_DE_NA M WHERE M.ID_LASTNIKA = K.ID AND (N.ID IS NULL OR M.NNLOCATION_ID IN (SELECT NL.ID FROM NNLOCATION NL WHERE NL.NNFIRMA_ID = N.ID)) AND M.STATUS = 'P' AND M.CONFIRMED = 'Y')
  ) AS SALDAKONTI_PART_PROFORMA_DEM,
  
  -- Ponudbe, domaca valuta
  (
    SELECT SUM(M.SKUPAJ)
    FROM M_DE_NA M WHERE M.ID_LASTNIKA = K.ID AND (N.ID IS NULL OR M.NNLOCATION_ID IN (SELECT NL.ID FROM NNLOCATION NL WHERE NL.NNFIRMA_ID = N.ID)) AND M.STATUS = 'P'
  ) AS SALDAKONTI_PROFORMA_SIT,
  
  -- Ponudbe, tuja valuta
  (
    SELECT SUM(M.SKUPAJ_VAL)
    FROM M_DE_NA M WHERE M.ID_LASTNIKA = K.ID AND (N.ID IS NULL OR M.NNLOCATION_ID IN (SELECT NL.ID FROM NNLOCATION NL WHERE NL.NNFIRMA_ID = N.ID)) AND M.STATUS = 'P'
  ) AS SALDAKONTI_PROFORMA_DEM,
  
  -- Saldo, domaca valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0')
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0')
  ) AS SALDAKONTI_SIT,
  
  -- Saldo brez depozitov, domaca valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0'
    AND S.ID_SALDKONT NOT IN (
      SELECT S2.ID_SALDKONT FROM SALDKONT S2 WHERE S2.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S2.NNFIRMA_ID)
      AND S2.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S2.SDK_RN_TIP) = 'I' AND UPPER(S2.SDK_RN_PL) = 'P' AND S2.ZAPRTO = '0' AND TRUNC(S2.DATUM) <= TRUNC(SYSDATE)
      AND S2.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
      ) 
    )
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0'
    AND S.ID_SALDKONT NOT IN (
      SELECT S2.ID_SALDKONT FROM SALDKONT S2 WHERE S2.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S2.NNFIRMA_ID)
      AND S2.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S2.SDK_RN_TIP) = 'I' AND UPPER(S2.SDK_RN_PL) = 'P' AND S2.ZAPRTO = '0' AND TRUNC(S2.DATUM) <= TRUNC(SYSDATE)
      AND S2.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
      ) 
    )
  ) AS SALDAKONTI_SIT_NO_DEPOSIT,
  
  -- Saldo, tuja valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0')
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0')
  ) AS SALDAKONTI_DEM,
  
  -- Saldo brez depozitov, tuja valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0'
    AND S.ID_SALDKONT NOT IN (
      SELECT S2.ID_SALDKONT FROM SALDKONT S2 WHERE S2.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S2.NNFIRMA_ID)
      AND S2.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S2.SDK_RN_TIP) = 'I' AND UPPER(S2.SDK_RN_PL) = 'P' AND S2.ZAPRTO = '0' AND TRUNC(S2.DATUM) <= TRUNC(SYSDATE)
      AND S2.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
      ) 
    ) 
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0'
    AND S.ID_SALDKONT NOT IN (
      SELECT S2.ID_SALDKONT FROM SALDKONT S2 WHERE S2.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S2.NNFIRMA_ID)
      AND S2.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S2.SDK_RN_TIP) = 'I' AND UPPER(S2.SDK_RN_PL) = 'P' AND S2.ZAPRTO = '0' AND TRUNC(S2.DATUM) <= TRUNC(SYSDATE)
      AND S2.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
      ) 
    ) 
  ) AS SALDAKONTI_DEM_NO_DEPOSIT,
  
  -- Saldo odprti, domaca valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM_VALUTACIJE) < TRUNC(SYSDATE))
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM_VALUTACIJE) < TRUNC(SYSDATE))
  ) AS SALDAKONTI_OUTSTANDING_SIT,
  
  -- Saldo odprti brez depozitov, domaca valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM_VALUTACIJE) < TRUNC(SYSDATE)
     AND S.ID_SALDKONT NOT IN (
      SELECT S2.ID_SALDKONT FROM SALDKONT S2 WHERE S2.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S2.NNFIRMA_ID)
      AND S2.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S2.SDK_RN_TIP) = 'I' AND UPPER(S2.SDK_RN_PL) = 'P' AND S2.ZAPRTO = '0' AND TRUNC(S2.DATUM) <= TRUNC(SYSDATE)
      AND S2.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
      ) 
    )
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM_VALUTACIJE) < TRUNC(SYSDATE)
      AND S.ID_SALDKONT NOT IN (
      SELECT S2.ID_SALDKONT FROM SALDKONT S2 WHERE S2.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S2.NNFIRMA_ID)
      AND S2.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S2.SDK_RN_TIP) = 'I' AND UPPER(S2.SDK_RN_PL) = 'P' AND S2.ZAPRTO = '0' AND TRUNC(S2.DATUM) <= TRUNC(SYSDATE)
      AND S2.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
      ) 
    )
  ) AS SALDAKONTI_OUT_SIT_NO_DEPOSIT, 
  
  -- Saldo odprti, tuja valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM_VALUTACIJE) < TRUNC(SYSDATE))
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM_VALUTACIJE) < TRUNC(SYSDATE))
  ) AS SALDAKONTI_OUTSTANDING_DEM,
  
  -- Saldo odprti brez depozitov, tuja valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM_VALUTACIJE) < TRUNC(SYSDATE)
    AND S.ID_SALDKONT NOT IN (
      SELECT S2.ID_SALDKONT FROM SALDKONT S2 WHERE S2.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S2.NNFIRMA_ID)
      AND S2.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S2.SDK_RN_TIP) = 'I' AND UPPER(S2.SDK_RN_PL) = 'P' AND S2.ZAPRTO = '0' AND TRUNC(S2.DATUM) <= TRUNC(SYSDATE)
      AND S2.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
      ) 
    ) 
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM_VALUTACIJE) < TRUNC(SYSDATE)
    AND S.ID_SALDKONT NOT IN (
      SELECT S2.ID_SALDKONT FROM SALDKONT S2 WHERE S2.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S2.NNFIRMA_ID)
      AND S2.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S2.SDK_RN_TIP) = 'I' AND UPPER(S2.SDK_RN_PL) = 'P' AND S2.ZAPRTO = '0' AND TRUNC(S2.DATUM) <= TRUNC(SYSDATE)
      AND S2.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
      ) 
    ) 
  ) AS SALDAKONTI_OUT_DEM_NO_DEPOSIT,
  
  -- Saldo prejeti, domaca valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'P' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0')
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'P' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0')
    
  ) AS SALDAKONTI_RECEIVED_SIT,
  
  -- Saldo prejeti, tuja valuta
  (
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'P' AND UPPER(S.SDK_RN_PL) = 'R' AND S.ZAPRTO = '0')
    -
    (SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
    AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'P' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0')
    
  ) AS SALDAKONTI_RECEIVED_DEM,
  
  -- Depoziti, domaca valuta
  (
    SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
      AND S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM) <= TRUNC(SYSDATE)
      AND S.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
  ) DEPOSIT_SIT,
  
  -- Depoziti, tuja valuta
  (
    SELECT COALESCE(SUM(S.ZA_PLACILO - S.PORABLJENO), 0) FROM SALDKONT S WHERE S.ID_KUPCA = K.ID AND (N.ID IS NULL OR N.ID = S.NNFIRMA_ID)
      AND S.VALUTA_RN = (SELECT TUJAVALUTA FROM PARAM) AND UPPER(S.SDK_RN_TIP) = 'I' AND UPPER(S.SDK_RN_PL) = 'P' AND S.ZAPRTO = '0' AND TRUNC(S.DATUM) <= TRUNC(SYSDATE)
      AND S.VRSTA_RACUNA IN (SELECT K.SALDKONT FROM NKNJIZBA K WHERE K.DEPOSIT = 'Y')
  ) DEPOSIT_DEM

FROM KUPCI K, V_NNFIRMA_ID_OR_NULL N
);


CREATE OR REPLACE VIEW V_KUPCI_BALANCE AS (
  SELECT VKS.V_KUPCI_SALDAKONTI_ID AS V_KUPCI_BALANCE_ID, VKS.KUPCI_ID, VKS.NNFIRMA_ID, VKS.KUPCI_IME, VKS.KUPCI_PRIIMEK, 
  
  -- Saldakonti sit
  CASE
    WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'ExcludeDepositsFromSaldo') = '1' THEN COALESCE(VKS.SALDAKONTI_SIT_NO_DEPOSIT, 0) ELSE COALESCE(VKS.SALDAKONTI_SIT, 0)
  END AS SALDAKONTI_SIT,
  
  -- Saldakonti dem
  CASE
    WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'ExcludeDepositsFromSaldo') = '1' THEN COALESCE(VKS.SALDAKONTI_DEM_NO_DEPOSIT, 0) ELSE COALESCE(VKS.SALDAKONTI_DEM, 0)
  END AS SALDAKONTI_DEM,
  
  -- Balance
  CASE 
    WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' THEN 
      (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'ExcludeDepositsFromSaldo') = '1' THEN COALESCE(VKS.SALDAKONTI_SIT_NO_DEPOSIT, 0) ELSE COALESCE(VKS.SALDAKONTI_SIT, 0) END)
    ELSE 
      (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'ExcludeDepositsFromSaldo') = '1' THEN COALESCE(VKS.SALDAKONTI_DEM_NO_DEPOSIT, 0) ELSE COALESCE(VKS.SALDAKONTI_DEM, 0) END)
  END AS BALANCE,
  
  -- Commercial balance
  CASE 
    WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'PartialProformaInvoices') = '1' THEN
      (CASE WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' THEN COALESCE(VKS.SALDAKONTI_PART_PROFORMA_SIT, 0) ELSE COALESCE(VKS.SALDAKONTI_PART_PROFORMA_DEM, 0) END)
    WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'UpostevanjePredracunovVSaldu') = '1' THEN
      (CASE WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' THEN COALESCE(-VKS.SALDAKONTI_PROFORMA_SIT, 0) ELSE COALESCE(-VKS.SALDAKONTI_PROFORMA_DEM, 0) END)
    ELSE 
      0
  END AS COMMERCIAL_BALANCE,
    
  -- Received balance
  CASE WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' THEN COALESCE(VKS.SALDAKONTI_RECEIVED_SIT, 0) ELSE COALESCE(VKS.SALDAKONTI_RECEIVED_DEM, 0) END AS RECEIVED_BALANCE,
  
  -- Outstanding balance
  CASE 
    WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' THEN 
      (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'ExcludeDepositsFromSaldo') = '1' THEN COALESCE(VKS.SALDAKONTI_OUT_SIT_NO_DEPOSIT, 0) ELSE COALESCE(VKS.SALDAKONTI_OUTSTANDING_SIT, 0)  END)
    ELSE 
      (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'ExcludeDepositsFromSaldo') = '1' THEN COALESCE(VKS.SALDAKONTI_OUT_DEM_NO_DEPOSIT, 0) ELSE COALESCE(VKS.SALDAKONTI_OUTSTANDING_DEM, 0)  END)
    END AS OUTSTANDING_BALANCE,
  
  -- Deposits
  CASE WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' THEN COALESCE(VKS.DEPOSIT_SIT, 0) ELSE COALESCE(VKS.DEPOSIT_DEM, 0) END AS DEPOSIT,
  
  -- Total balance (balance + commercial balance)
  (CASE WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' 
    THEN (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'ExcludeDepositsFromSaldo') = '1' THEN COALESCE(VKS.SALDAKONTI_SIT_NO_DEPOSIT, 0) ELSE COALESCE(VKS.SALDAKONTI_SIT, 0) END)    
    ELSE (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'ExcludeDepositsFromSaldo') = '1' THEN COALESCE(VKS.SALDAKONTI_DEM_NO_DEPOSIT, 0) ELSE COALESCE(VKS.SALDAKONTI_DEM, 0) END) 
    END) 
	+
  (CASE 
    WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'PartialProformaInvoices') = '1' THEN
      (CASE WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' THEN COALESCE(VKS.SALDAKONTI_PART_PROFORMA_SIT, 0) ELSE COALESCE(VKS.SALDAKONTI_PART_PROFORMA_DEM, 0) END)
    WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'UpostevanjePredracunovVSaldu') = '1' THEN
      (CASE WHEN VKS.KUPCI_DOMACA_VALUTA = 'Y' THEN COALESCE(-VKS.SALDAKONTI_PROFORMA_SIT, 0) ELSE COALESCE(-VKS.SALDAKONTI_PROFORMA_DEM, 0) END)
    ELSE 
      0
  END) AS TOTAL_BALANCE
  
  FROM V_KUPCI_SALDAKONTI VKS
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1110, SYSDATE, '5.5', 1030, 'Saldo brez depozitov')
;
